/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 *
 ***********************************************************************
 *
 * This is the header file of libowlps-client, the library that contains
 * the code used to send positioning requests (normal, calibration and
 * autocalibration).
 */


#ifndef _LIBOWLPS_CLIENT_
#define _LIBOWLPS_CLIENT_

#include <owlps.h>


/* Function headers */
int owl_create_trx_socket(const char *const dest_ip,
                          const uint_fast16_t dest_port,
                          struct sockaddr_in *const server,
                          const char *const iface) ;
void owl_use_iface(const int sockfd, const char *const iface) ;
void owl_send_request(const int sockfd,
                      const struct sockaddr_in *const server,
                      const void *const packet,
                      const uint_fast16_t packet_size,
                      const uint_fast16_t nb_pkt,
                      const uint_fast32_t delay) ;
void owl_send_packet(const int sockfd,
                     const struct sockaddr_in *const server,
                     const void *const packet,
                     const uint_fast16_t packet_size) ;


#endif // _LIBOWLPS_CLIENT_
